From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-lang/ispc/
Date: Sat, 17 May 2025 05:24:14 +0000 (UTC) [thread overview]
Message-ID: <1747459320.cccc3bc289a7b5df1cc18c6d8d29fe5e7741f39f.mgorny@gentoo> (raw)
commit: cccc3bc289a7b5df1cc18c6d8d29fe5e7741f39f
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat May 17 05:15:37 2025 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat May 17 05:22:00 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cccc3bc2
dev-lang/ispc: Bump to 1.27.0
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-lang/ispc/Manifest | 1 +
dev-lang/ispc/ispc-1.27.0.ebuild | 97 ++++++++++++++++++++++++++++++++++++++++
2 files changed, 98 insertions(+)
diff --git a/dev-lang/ispc/Manifest b/dev-lang/ispc/Manifest
index 7cc745836a4b..43a873b31581 100644
--- a/dev-lang/ispc/Manifest
+++ b/dev-lang/ispc/Manifest
@@ -1 +1,2 @@
DIST ispc-1.26.0.gh.tar.gz 19849065 BLAKE2B db4f287dc0e2a6292875223dfe7b799cdd020384d505b60c13811b782bafd564a2adde4a5d1ca222efac77bfa218670af57dbd129e0d47db001b2c71e5f9aa61 SHA512 bb24cab35d3463b181da2b47ebf6c0836e82a5daff18b2edfccb0d83a066d2c70c30038391b4bcade5e3177bd004068c9ae8c523f09dcecb94d02a8b9e38a2c9
+DIST ispc-1.27.0.gh.tar.gz 19890833 BLAKE2B 38c763ea3be1be36a9890594f4f42760895b0a6f3b7b260121b07ec6d7e10b8a447b438cb1525b37dc28c173451478c2e36a93a15f2e94e0e20a38e8a12546fe SHA512 d1b2e0561e22bcf96c57ffd06820e954626a8d80f571bfbc05b8ab3ad49e32c1057f1df20e4238237544ce86f1a29dc1e9d019dc5cd89333d9e2b32ac05cd68c
diff --git a/dev-lang/ispc/ispc-1.27.0.ebuild b/dev-lang/ispc/ispc-1.27.0.ebuild
new file mode 100644
index 000000000000..4f5c97932ec5
--- /dev/null
+++ b/dev-lang/ispc/ispc-1.27.0.ebuild
@@ -0,0 +1,97 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+LLVM_COMPAT=( {17..20} )
+PYTHON_COMPAT=( python3_{11..14} )
+
+inherit cmake dot-a llvm-r1 multiprocessing python-any-r1 toolchain-funcs
+
+DESCRIPTION="Intel SPMD Program Compiler"
+HOMEPAGE="
+ https://ispc.github.io/
+ https://github.com/ispc/ispc/
+"
+SRC_URI="
+ https://github.com/ispc/ispc/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="BSD BSD-2 UoI-NCSA"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
+IUSE="examples gpu openmp test"
+RESTRICT="!test? ( test )"
+
+DEPEND="
+ $(llvm_gen_dep '
+ llvm-core/clang:${LLVM_SLOT}
+ ')
+ sys-libs/ncurses:=
+ gpu? ( dev-libs/level-zero:= )
+ !openmp? ( dev-cpp/tbb:= )
+"
+RDEPEND="
+ ${DEPEND}
+"
+BDEPEND="
+ app-alternatives/yacc
+ app-alternatives/lex
+ ${PYTHON_DEPS}
+"
+
+pkg_pretend() {
+ [[ ${MERGE_TYPE} != binary ]] && use openmp && tc-check-openmp
+}
+
+pkg_setup() {
+ [[ ${MERGE_TYPE} != binary ]] && use openmp && tc-check-openmp
+ llvm-r1_pkg_setup
+ python-any-r1_pkg_setup
+}
+
+src_prepare() {
+ # do not require bundled gtest
+ mkdir -p ispcrt/tests/vendor/google/googletest || die
+ cat > ispcrt/tests/vendor/google/googletest/CMakeLists.txt <<-EOF || die
+ find_package(GTest)
+ EOF
+ # remove hacks that break unbundling
+ sed -i -e '/gmock/d' -e '/install/,$d' ispcrt/tests/CMakeLists.txt || die
+
+ cmake_src_prepare
+}
+
+src_configure() {
+ lto-guarantee-fat
+ local mycmakeargs=(
+ -DARM_ENABLED=$(usex arm)
+ -DCMAKE_SKIP_RPATH=ON
+ -DISPC_INCLUDE_EXAMPLES=OFF
+ -DISPC_INCLUDE_TESTS=$(usex test)
+ -DISPC_INCLUDE_UTILS=OFF
+ -DISPCRT_BUILD_GPU=$(usex gpu)
+ -DISPCRT_BUILD_TASK_MODEL=$(usex openmp OpenMP TBB)
+ # prevent it from trying to find the git repo
+ -DGIT_BINARY=GIT_BINARY-NOTFOUND
+ )
+ cmake_src_configure
+}
+
+src_test() {
+ # Inject path to prevent using system ispc
+ local -x PATH="${BUILD_DIR}/bin:${PATH}"
+ "${EPYTHON}" ./scripts/run_tests.py "-j$(makeopts_jobs)" -v ||
+ die "Testing failed under ${EPYTHON}"
+}
+
+src_install() {
+ cmake_src_install
+ strip-lto-bytecode
+
+ if use examples; then
+ docompress -x /usr/share/doc/${PF}/examples
+ dodoc -r examples
+ fi
+}
next reply other threads:[~2025-05-17 5:24 UTC|newest]
Thread overview: 72+ messages / expand[flat|nested] mbox.gz Atom feed top
2025-05-17 5:24 Michał Górny [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-05-07 5:41 [gentoo-commits] repo/gentoo:master commit in: dev-lang/ispc/ Eli Schwartz
2025-02-22 9:20 Michał Górny
2025-02-22 8:47 Arthur Zamarin
2025-02-06 4:10 Michał Górny
2024-11-23 17:23 Michał Górny
2024-11-23 17:21 Michał Górny
2024-11-08 4:52 Michał Górny
2024-11-02 7:14 Michał Górny
2024-11-02 6:32 Michał Górny
2024-11-02 6:32 Michał Górny
2024-10-17 2:51 Michał Górny
2024-10-15 7:00 Michał Górny
2024-06-15 13:08 Michał Górny
2024-06-15 10:54 Arthur Zamarin
2024-05-23 2:11 Michał Górny
2024-03-10 3:35 Michał Górny
2024-03-09 21:10 Sam James
2024-02-16 5:40 Michał Górny
2024-01-25 3:14 Sam James
2023-12-31 15:30 Michał Górny
2023-12-31 14:56 Michał Górny
2023-12-31 10:07 Michał Górny
2023-12-31 9:57 Michał Górny
2023-12-31 9:57 Michał Górny
2023-10-19 15:13 Michał Górny
2023-06-12 15:44 Sam James
2023-02-26 8:27 罗百科
2023-01-26 20:51 Andreas Sturmlechner
2023-01-08 16:04 Joonas Niilola
2022-12-24 14:03 Andreas Sturmlechner
2022-12-24 14:01 Andreas Sturmlechner
2022-12-19 14:47 Andreas Sturmlechner
2022-10-13 10:31 Ionen Wolkens
2022-07-19 7:47 Michał Górny
2022-05-20 13:21 Joonas Niilola
2022-05-20 11:25 Joonas Niilola
2022-04-25 2:40 Sam James
2022-01-20 7:41 罗百科
2022-01-19 7:32 罗百科
2021-11-07 11:38 Jakov Smolić
2021-10-31 5:53 Sam James
2021-10-20 4:11 Sam James
2021-09-19 3:30 Sam James
2021-09-19 3:09 Sam James
2021-09-19 3:09 Sam James
2021-06-19 23:23 Ionen Wolkens
2021-06-19 23:23 Ionen Wolkens
2020-12-09 9:42 Joonas Niilola
2020-09-10 3:18 Sam James
2020-09-10 2:16 Sam James
2020-09-10 1:18 Sam James
2020-09-10 1:18 Sam James
2020-09-10 1:18 Sam James
2020-09-10 1:18 Sam James
2020-09-10 0:42 Sam James
2020-09-10 0:42 Sam James
2020-07-29 16:52 Andreas Sturmlechner
2018-04-11 16:19 Michał Górny
2018-04-04 13:17 Christoph Junghans
2017-09-29 22:40 Christoph Junghans
2017-07-30 8:47 Michał Górny
2017-03-19 14:06 Christoph Junghans
2016-07-13 15:26 Christoph Junghans
2016-07-13 15:26 Christoph Junghans
2016-07-12 19:31 Christoph Junghans
2016-05-30 20:11 Christoph Junghans
2016-05-30 20:11 Christoph Junghans
2015-10-20 23:27 Christoph Junghans
2015-10-20 16:01 Christoph Junghans
2015-10-07 15:59 Christoph Junghans
2015-10-07 15:59 Christoph Junghans
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1747459320.cccc3bc289a7b5df1cc18c6d8d29fe5e7741f39f.mgorny@gentoo \
--to=mgorny@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox